#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int N;
    cin>>N;
    int A[N];
    int B[N];
    for(int i=0;i<N;i++)
        cin>>A[i];
    for(int i=0;i<N;i++)
        cin>>B[i];
        int k=INT_MIN;
        int xo,an;
    for(int L=0;L<N-1;L++)
    {
        xo=A[L];
        an=B[L];
        for(int R=L+1;R<N;R++)
        {
         xo=xo ^ A[R];
         an=an & B[R];
        if(xo*an>k)
            k=xo*an;
        }
    }
    cout<<k<<endl;
    return 0;
}